#!/bin/bash


# supports init.d/systemd systems

SCRIPT=$(basename "$(test -L "$0" && readlink "$0" || echo "$0")")
SCRIPT_DIR=$(dirname "$(test -L "$0" && readlink "$0" || echo "$0")")

UUID_FILE=${SCRIPT_DIR}/.uuid


echoerr() { echo "$@" 1>&2; }

if [ -r ${UUID_FILE} ] ; then

    echoerr "${UUID_FILE} file is already exists. Using it."

    cat ${UUID_FILE}

    exit 0 
fi


cat /proc/sys/kernel/random/uuid > ${UUID_FILE}

if [ $? -ne 0 ] ; then
    echo "${SCRIPT}. Error occurred during uuid generation."
    exit 1 
fi

cat ${UUID_FILE}




