#!/bin/bash
Date=$(date +%Y_%m_%d_%H_%M_%S)
var=$(pgrep vmdkbackup)
retstat=$?
mkdir -p $1
LogFile=$1/$Date
echo $var >>$LogFile
echo $retstat >>$LogFile
if [ $retstat -eq 1 ];then 
	echo "No vmdkbackup process running, cleaning up mountpoints" >> $LogFile
	mountpoint=$(findmnt -nr | cut -f 1 -d " " |grep /sppvadp/sppvadp_)
	if [ -n "$mountpoint" ];then
		echo $mountpoint >> $LogFile
		for x in $mountpoint; do
			echo "" >> $LogFile
			echo "Unmounting mount point" $x >> $LogFile
			umount "$x" >> $LogFile 2>&1
			if [ $? -eq 0 ]; then
				rmdir -v "$x" >> $LogFile 2>&1
			else
				(lsof | grep $mountpoint) >> $LogFile 2>&1
				fuser -v $mountpoint >> $LogFile 2>&1
			fi
			echo "" >> $LogFile
		done
		exit 0
	fi
else
	echo "Has vmdkbackup process running, skip cleaning up mountpoints" >> $LogFile
	exit 0
fi
exit 0
